UIConstants (gCube Join New Portlet 1.4.0-SNAPSHOT API)
Date: 2014-03-10

org.gcube.portlets.user.joinnew.client.commons

## Class UIConstants

- java.lang.Object
- - org.gcube.portlets.user.joinnew.client.commons.UIConstants

-     public class UIConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `application_view_icons`
    `static String` | `application_view_list`
    `static String` | `application_view_tile`
    `static String` | `ask_button`
    `static String` | `ask_legenda`
    `static int` | `BACK_SPACE_CODE`
    `static int` | `COOKIE_MONTHS_EXPIRY_TIME`
    `static String` | `COOKIE_NAME`
    `static String` | `enter_button`
    `static String` | `enter_legenda`
    `static String` | `ENTER_VO_ROOT`
    `static String` | `filter_label`
    `static String` | `HELP_ICO`
    `static Integer` | `imageVRE_height`
    `static Integer` | `imageVRE_width`
    `static String` | `INFO_IMAGE`
    `static String` | `LOADING_IMAGE`
    `static String` | `pending_button`
    `static String` | `pending_legenda`
    `static String` | `TRASPARENT_IMAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COOKIE_NAME

          public static final String COOKIE_NAME

      See Also:
        Constant Field Values

    - #### COOKIE_MONTHS_EXPIRY_TIME

          public static final int COOKIE_MONTHS_EXPIRY_TIME

      See Also:
        Constant Field Values

    - #### LOADING_IMAGE

          public static final String LOADING_IMAGE

    - #### INFO_IMAGE

          public static final String INFO_IMAGE

    - #### TRASPARENT_IMAGE

          public static final String TRASPARENT_IMAGE

    - #### imageVRE_height

          public static final Integer imageVRE_height

    - #### imageVRE_width

          public static final Integer imageVRE_width

    - #### filter_label

          public static final String filter_label

      See Also:
        Constant Field Values

    - #### enter_legenda

          public static final String enter_legenda

      See Also:
        Constant Field Values

    - #### ask_legenda

          public static final String ask_legenda

      See Also:
        Constant Field Values

    - #### pending_legenda

          public static final String pending_legenda

      See Also:
        Constant Field Values

    - #### enter_button

          public static final String enter_button

      See Also:
        Constant Field Values

    - #### ask_button

          public static final String ask_button

      See Also:
        Constant Field Values

    - #### pending_button

          public static final String pending_button

      See Also:
        Constant Field Values

    - #### application_view_icons

          public static final String application_view_icons

    - #### application_view_list

          public static final String application_view_list

    - #### application_view_tile

          public static final String application_view_tile

    - #### HELP_ICO

          public static final String HELP_ICO

    - #### ENTER_VO_ROOT

          public static final String ENTER_VO_ROOT

    - #### BACK_SPACE_CODE

          public static final int BACK_SPACE_CODE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIConstants

          public UIConstants()

Copyright © 2014. All Rights Reserved.